# https://files.pythonhosted.org/packages/57/61/82688564bf24ec4fa349be5ebcb4fbf49551bd1e3203c13d6196ef6b56ff/polib-1.1.0.tar.gz
%define fname polib

Name:           python-%{fname}
Version:        1.1.0
Release:        %mkrel 2
Summary:        A library to parse and manage gettext catalogs

Group:          Development/Python
License:        MIT
URL:            http://bitbucket.org/izi/polib/
Source0:        %{fname}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%package -n python3-%{fname}
Summary:        A library to parse and manage gettext catalogs for Python 3
Group:          Development/Python

%description -n python3-%{fname}
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%prep
%setup -qn %{fname}-%{version}
rm -rf %{fname}.egg-info
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!*|#!%{__python3}|'

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%check
%{__python2} setup.py check

pushd %{py3dir}
%{__python3} setup.py check
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%doc LICENSE README.rst
%{python2_sitelib}/*

%files -n python3-%{fname}
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 1.1.0-2pclos2022
- rebuild against updates

* Tue Apr 17 2018 marcin82 <fixxer1982 at gmail.com> 1.1.0-1pclos2018
- update

* Sun Jan 22 2017 bb <bb> 1.0.7-1pclos2017
- new version

